<div>
  <br/>
  <form role="form">
    
  <!--Year-->
  <div class="form-group">
    <label class="control-label col-sm-2" for="yr1">Year:</label>
    <div class="col-sm-4">
    <input type="text" class="form-control" ng-model="hyr" id="yr1" placeholder="Enter year" required>
    </div>
  </div>
  
  <!--Make-->
  <div class="form-group">
    <label class="control-label col-sm-2" for="mk1">Make:</label>
    <div class="col-sm-4"> 
    <select class="form-control" ng-options="x for x in makes" value="{{x}}" ng-model="hmk" id="mk1" required>{{x}}
    </select>
    </div>
  </div>

  <!--Model-->
  <div class="form-group">
    <label class="control-label col-sm-2" for="mdl1">Model:</label>
    <div class="col-sm-4"> 
    <select class="form-control" ng-options="x for x in models" value="{{x}}" ng-model="hmdl" id="mdl1" required>{{x}}
    </select>
    </div>
  </div>

  <!--button-->
  <div class="form-group"> 
    <div class="col-sm-offset-2 col-sm-2">
    <button type="submit" class="btn btn-primary" ng-click="getCar($event)">Find Car</button>
    </div>
  </div>

  <br/><br/><br/>
  </form>
</div>

<!--display car list here-->
<hr>
<div style="padding:5px;color:black;">
  <p style="color:white">Cars Available:</p>

  <!--"Filters"-->
  <div style="color:white">
    Filter by<br/>
    <div class="btn-group">
      <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
      Color <span class="caret"></span></button>
      <ul class="dropdown-menu" role="menu" >
        <li><a href="#/" ng-click="color($event)">Blue</a></li>
        <li><a href="#/" ng-click="color($event)">Black</a></li>
        <li><a href="#/" ng-click="color($event)">Brown</a></li>
        <li><a href="#/" ng-click="color($event)">Gray</a></li>
        <li><a href="#/" ng-click="color($event)">Red</a></li>
        <li><a href="#/" ng-click="color($event)">White</a></li>
      </ul>
    </div>
    <div class="btn-group">
    <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
      Price<span class="caret"></span></button>
      <ul class="dropdown-menu" role="menu" >
        <li><a href="#/" ng-click="OrderbyAsc()">Lowest to Highest</a></li>
        <li><a href="#/" ng-click="OrderbyDsc()">Highest to Lowest</a></li>
      </ul>
    </div>
  </div>

  <!--car list-->
  <ul class ="list-group">
    <li class="list-group-item" ng-repeat="car in clist" ><span class="badge">{{'$'+car.Price}}</span>
      {{ car.Year + ' ' + car.Make + ' ' + car.Model}}
      <br/>{{'Mileage: ' + car.Mileage}}
      <br/>{{'Color: ' + car.Color}}
      <br/>{{'Condition: ' + car.Condition}}
      <br/>{{'Dealer Name: '+car.DealerShip.Name}}<p>
    </li>
  </ul>
</div>

<hr>
<!--GOOGLE MAP-->
<h3>Map</h3>
<p>Car Location</p>
<div id='map'></div>



